from tortoise import Tortoise, run_async

from config import config

import models


async def init_db():
    await Tortoise.init(
        db_url=f"postgres://{config.DB_USER}:{config.DB_PASSWORD}@localhost:5432/{config.DB_NAME}",
        modules={"models": ["models"]},
    )
    await Tortoise.generate_schemas()
